1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. ImagesV2
Viewing docs for Nutanix v0.14.0
published on Thursday, May 21, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.14.0
published on Thursday, May 21, 2026 by Piers Karsenbarg

    Create an image using the provided request body. Name, type and source are mandatory fields to create an image.

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    const img_1 = new nutanix.ImagesV2("img-1", {
        name: "test-image",
        description: "img desc",
        type: "ISO_IMAGE",
        sources: [{
            urlSources: [{
                url: "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
            }],
        }],
    });
    const img_2 = new nutanix.ImagesV2("img-2", {
        name: "test-image",
        description: "img desc",
        type: "DISK_IMAGE",
        sources: [{
            urlSources: [{
                url: "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
            }],
        }],
        clusterLocationExtIds: ["ab520e1d-4950-1db1-917f-a9e2ea35b8e3"],
    });
    const object_liteStore_img = new nutanix.ImagesV2("object-liteStore-img", {
        name: "image-object-lite-example",
        description: "Image created from object store",
        type: "DISK_IMAGE",
        sources: [{
            objectLiteSources: [{
                key: "img-lite-key-example",
            }],
        }],
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    img_1 = nutanix.ImagesV2("img-1",
        name="test-image",
        description="img desc",
        type="ISO_IMAGE",
        sources=[{
            "url_sources": [{
                "url": "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
            }],
        }])
    img_2 = nutanix.ImagesV2("img-2",
        name="test-image",
        description="img desc",
        type="DISK_IMAGE",
        sources=[{
            "url_sources": [{
                "url": "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
            }],
        }],
        cluster_location_ext_ids=["ab520e1d-4950-1db1-917f-a9e2ea35b8e3"])
    object_lite_store_img = nutanix.ImagesV2("object-liteStore-img",
        name="image-object-lite-example",
        description="Image created from object store",
        type="DISK_IMAGE",
        sources=[{
            "object_lite_sources": [{
                "key": "img-lite-key-example",
            }],
        }])
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := nutanix.NewImagesV2(ctx, "img-1", &nutanix.ImagesV2Args{
    			Name:        pulumi.String("test-image"),
    			Description: pulumi.String("img desc"),
    			Type:        pulumi.String("ISO_IMAGE"),
    			Sources: nutanix.ImagesV2SourceArray{
    				&nutanix.ImagesV2SourceArgs{
    					UrlSources: nutanix.ImagesV2SourceUrlSourceArray{
    						&nutanix.ImagesV2SourceUrlSourceArgs{
    							Url: pulumi.String("http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso"),
    						},
    					},
    				},
    			},
    		})
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.NewImagesV2(ctx, "img-2", &nutanix.ImagesV2Args{
    			Name:        pulumi.String("test-image"),
    			Description: pulumi.String("img desc"),
    			Type:        pulumi.String("DISK_IMAGE"),
    			Sources: nutanix.ImagesV2SourceArray{
    				&nutanix.ImagesV2SourceArgs{
    					UrlSources: nutanix.ImagesV2SourceUrlSourceArray{
    						&nutanix.ImagesV2SourceUrlSourceArgs{
    							Url: pulumi.String("http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso"),
    						},
    					},
    				},
    			},
    			ClusterLocationExtIds: pulumi.StringArray{
    				pulumi.String("ab520e1d-4950-1db1-917f-a9e2ea35b8e3"),
    			},
    		})
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.NewImagesV2(ctx, "object-liteStore-img", &nutanix.ImagesV2Args{
    			Name:        pulumi.String("image-object-lite-example"),
    			Description: pulumi.String("Image created from object store"),
    			Type:        pulumi.String("DISK_IMAGE"),
    			Sources: nutanix.ImagesV2SourceArray{
    				&nutanix.ImagesV2SourceArgs{
    					ObjectLiteSources: nutanix.ImagesV2SourceObjectLiteSourceArray{
    						&nutanix.ImagesV2SourceObjectLiteSourceArgs{
    							Key: pulumi.String("img-lite-key-example"),
    						},
    					},
    				},
    			},
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        var img_1 = new Nutanix.ImagesV2("img-1", new()
        {
            Name = "test-image",
            Description = "img desc",
            Type = "ISO_IMAGE",
            Sources = new[]
            {
                new Nutanix.Inputs.ImagesV2SourceArgs
                {
                    UrlSources = new[]
                    {
                        new Nutanix.Inputs.ImagesV2SourceUrlSourceArgs
                        {
                            Url = "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
                        },
                    },
                },
            },
        });
    
        var img_2 = new Nutanix.ImagesV2("img-2", new()
        {
            Name = "test-image",
            Description = "img desc",
            Type = "DISK_IMAGE",
            Sources = new[]
            {
                new Nutanix.Inputs.ImagesV2SourceArgs
                {
                    UrlSources = new[]
                    {
                        new Nutanix.Inputs.ImagesV2SourceUrlSourceArgs
                        {
                            Url = "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
                        },
                    },
                },
            },
            ClusterLocationExtIds = new[]
            {
                "ab520e1d-4950-1db1-917f-a9e2ea35b8e3",
            },
        });
    
        var object_liteStore_img = new Nutanix.ImagesV2("object-liteStore-img", new()
        {
            Name = "image-object-lite-example",
            Description = "Image created from object store",
            Type = "DISK_IMAGE",
            Sources = new[]
            {
                new Nutanix.Inputs.ImagesV2SourceArgs
                {
                    ObjectLiteSources = new[]
                    {
                        new Nutanix.Inputs.ImagesV2SourceObjectLiteSourceArgs
                        {
                            Key = "img-lite-key-example",
                        },
                    },
                },
            },
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.ImagesV2;
    import com.pulumi.nutanix.ImagesV2Args;
    import com.pulumi.nutanix.inputs.ImagesV2SourceArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var img_1 = new ImagesV2("img-1", ImagesV2Args.builder()
                .name("test-image")
                .description("img desc")
                .type("ISO_IMAGE")
                .sources(ImagesV2SourceArgs.builder()
                    .urlSources(ImagesV2SourceUrlSourceArgs.builder()
                        .url("http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso")
                        .build())
                    .build())
                .build());
    
            var img_2 = new ImagesV2("img-2", ImagesV2Args.builder()
                .name("test-image")
                .description("img desc")
                .type("DISK_IMAGE")
                .sources(ImagesV2SourceArgs.builder()
                    .urlSources(ImagesV2SourceUrlSourceArgs.builder()
                        .url("http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso")
                        .build())
                    .build())
                .clusterLocationExtIds("ab520e1d-4950-1db1-917f-a9e2ea35b8e3")
                .build());
    
            var object_liteStore_img = new ImagesV2("object-liteStore-img", ImagesV2Args.builder()
                .name("image-object-lite-example")
                .description("Image created from object store")
                .type("DISK_IMAGE")
                .sources(ImagesV2SourceArgs.builder()
                    .objectLiteSources(ImagesV2SourceObjectLiteSourceArgs.builder()
                        .key("img-lite-key-example")
                        .build())
                    .build())
                .build());
    
        }
    }
    
    resources:
      img-1:
        type: nutanix:ImagesV2
        properties:
          name: test-image
          description: img desc
          type: ISO_IMAGE
          sources:
            - urlSources:
                - url: http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso
      img-2:
        type: nutanix:ImagesV2
        properties:
          name: test-image
          description: img desc
          type: DISK_IMAGE
          sources:
            - urlSources:
                - url: http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso
          clusterLocationExtIds:
            - ab520e1d-4950-1db1-917f-a9e2ea35b8e3
      object-liteStore-img:
        type: nutanix:ImagesV2
        properties:
          name: image-object-lite-example
          description: Image created from object store
          type: DISK_IMAGE
          sources:
            - objectLiteSources:
                - key: img-lite-key-example
    
    Example coming soon!
    

    Create ImagesV2 Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new ImagesV2(name: string, args: ImagesV2Args, opts?: CustomResourceOptions);
    @overload
    def ImagesV2(resource_name: str,
                 args: ImagesV2Args,
                 opts: Optional[ResourceOptions] = None)
    
    @overload
    def ImagesV2(resource_name: str,
                 opts: Optional[ResourceOptions] = None,
                 type: Optional[str] = None,
                 category_ext_ids: Optional[Sequence[str]] = None,
                 checksums: Optional[Sequence[ImagesV2ChecksumArgs]] = None,
                 cluster_location_ext_ids: Optional[Sequence[str]] = None,
                 description: Optional[str] = None,
                 name: Optional[str] = None,
                 sources: Optional[Sequence[ImagesV2SourceArgs]] = None)
    func NewImagesV2(ctx *Context, name string, args ImagesV2Args, opts ...ResourceOption) (*ImagesV2, error)
    public ImagesV2(string name, ImagesV2Args args, CustomResourceOptions? opts = null)
    public ImagesV2(String name, ImagesV2Args args)
    public ImagesV2(String name, ImagesV2Args args, CustomResourceOptions options)
    
    type: nutanix:ImagesV2
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "nutanix_imagesv2" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args ImagesV2Args
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ImagesV2Args
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ImagesV2Args
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ImagesV2Args
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ImagesV2Args
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var imagesV2Resource = new Nutanix.ImagesV2("imagesV2Resource", new()
    {
        Type = "string",
        CategoryExtIds = new[]
        {
            "string",
        },
        Checksums = new[]
        {
            new Nutanix.Inputs.ImagesV2ChecksumArgs
            {
                HexDigest = "string",
                ObjectType = "string",
            },
        },
        ClusterLocationExtIds = new[]
        {
            "string",
        },
        Description = "string",
        Name = "string",
        Sources = new[]
        {
            new Nutanix.Inputs.ImagesV2SourceArgs
            {
                ObjectLiteSources = new[]
                {
                    new Nutanix.Inputs.ImagesV2SourceObjectLiteSourceArgs
                    {
                        Key = "string",
                    },
                },
                UrlSources = new[]
                {
                    new Nutanix.Inputs.ImagesV2SourceUrlSourceArgs
                    {
                        Url = "string",
                        BasicAuths = new[]
                        {
                            new Nutanix.Inputs.ImagesV2SourceUrlSourceBasicAuthArgs
                            {
                                Password = "string",
                                Username = "string",
                            },
                        },
                        ShouldAllowInsecureUrl = false,
                    },
                },
                VmDiskSources = new[]
                {
                    new Nutanix.Inputs.ImagesV2SourceVmDiskSourceArgs
                    {
                        ExtId = "string",
                    },
                },
            },
        },
    });
    
    example, err := nutanix.NewImagesV2(ctx, "imagesV2Resource", &nutanix.ImagesV2Args{
    	Type: pulumi.String("string"),
    	CategoryExtIds: pulumi.StringArray{
    		pulumi.String("string"),
    	},
    	Checksums: nutanix.ImagesV2ChecksumArray{
    		&nutanix.ImagesV2ChecksumArgs{
    			HexDigest:  pulumi.String("string"),
    			ObjectType: pulumi.String("string"),
    		},
    	},
    	ClusterLocationExtIds: pulumi.StringArray{
    		pulumi.String("string"),
    	},
    	Description: pulumi.String("string"),
    	Name:        pulumi.String("string"),
    	Sources: nutanix.ImagesV2SourceArray{
    		&nutanix.ImagesV2SourceArgs{
    			ObjectLiteSources: nutanix.ImagesV2SourceObjectLiteSourceArray{
    				&nutanix.ImagesV2SourceObjectLiteSourceArgs{
    					Key: pulumi.String("string"),
    				},
    			},
    			UrlSources: nutanix.ImagesV2SourceUrlSourceArray{
    				&nutanix.ImagesV2SourceUrlSourceArgs{
    					Url: pulumi.String("string"),
    					BasicAuths: nutanix.ImagesV2SourceUrlSourceBasicAuthArray{
    						&nutanix.ImagesV2SourceUrlSourceBasicAuthArgs{
    							Password: pulumi.String("string"),
    							Username: pulumi.String("string"),
    						},
    					},
    					ShouldAllowInsecureUrl: pulumi.Bool(false),
    				},
    			},
    			VmDiskSources: nutanix.ImagesV2SourceVmDiskSourceArray{
    				&nutanix.ImagesV2SourceVmDiskSourceArgs{
    					ExtId: pulumi.String("string"),
    				},
    			},
    		},
    	},
    })
    
    resource "nutanix_imagesv2" "imagesV2Resource" {
      type             = "string"
      category_ext_ids = ["string"]
      checksums {
        hex_digest  = "string"
        object_type = "string"
      }
      cluster_location_ext_ids = ["string"]
      description              = "string"
      name                     = "string"
      sources {
        object_lite_sources {
          key = "string"
        }
        url_sources {
          url = "string"
          basic_auths {
            password = "string"
            username = "string"
          }
          should_allow_insecure_url = false
        }
        vm_disk_sources {
          ext_id = "string"
        }
      }
    }
    
    var imagesV2Resource = new ImagesV2("imagesV2Resource", ImagesV2Args.builder()
        .type("string")
        .categoryExtIds("string")
        .checksums(ImagesV2ChecksumArgs.builder()
            .hexDigest("string")
            .objectType("string")
            .build())
        .clusterLocationExtIds("string")
        .description("string")
        .name("string")
        .sources(ImagesV2SourceArgs.builder()
            .objectLiteSources(ImagesV2SourceObjectLiteSourceArgs.builder()
                .key("string")
                .build())
            .urlSources(ImagesV2SourceUrlSourceArgs.builder()
                .url("string")
                .basicAuths(ImagesV2SourceUrlSourceBasicAuthArgs.builder()
                    .password("string")
                    .username("string")
                    .build())
                .shouldAllowInsecureUrl(false)
                .build())
            .vmDiskSources(ImagesV2SourceVmDiskSourceArgs.builder()
                .extId("string")
                .build())
            .build())
        .build());
    
    images_v2_resource = nutanix.ImagesV2("imagesV2Resource",
        type="string",
        category_ext_ids=["string"],
        checksums=[{
            "hex_digest": "string",
            "object_type": "string",
        }],
        cluster_location_ext_ids=["string"],
        description="string",
        name="string",
        sources=[{
            "object_lite_sources": [{
                "key": "string",
            }],
            "url_sources": [{
                "url": "string",
                "basic_auths": [{
                    "password": "string",
                    "username": "string",
                }],
                "should_allow_insecure_url": False,
            }],
            "vm_disk_sources": [{
                "ext_id": "string",
            }],
        }])
    
    const imagesV2Resource = new nutanix.ImagesV2("imagesV2Resource", {
        type: "string",
        categoryExtIds: ["string"],
        checksums: [{
            hexDigest: "string",
            objectType: "string",
        }],
        clusterLocationExtIds: ["string"],
        description: "string",
        name: "string",
        sources: [{
            objectLiteSources: [{
                key: "string",
            }],
            urlSources: [{
                url: "string",
                basicAuths: [{
                    password: "string",
                    username: "string",
                }],
                shouldAllowInsecureUrl: false,
            }],
            vmDiskSources: [{
                extId: "string",
            }],
        }],
    });
    
    type: nutanix:ImagesV2
    properties:
        categoryExtIds:
            - string
        checksums:
            - hexDigest: string
              objectType: string
        clusterLocationExtIds:
            - string
        description: string
        name: string
        sources:
            - objectLiteSources:
                - key: string
              urlSources:
                - basicAuths:
                    - password: string
                      username: string
                  shouldAllowInsecureUrl: false
                  url: string
              vmDiskSources:
                - extId: string
        type: string
    

    ImagesV2 Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The ImagesV2 resource accepts the following input properties:

    Type string
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    CategoryExtIds List<string>
    List of category external identifiers for an image.
    Checksums List<PiersKarsenbarg.Nutanix.Inputs.ImagesV2Checksum>
    The checksum of an image.
    ClusterLocationExtIds List<string>
    List of cluster external identifiers where the image is located.
    Description string
    The user defined description of an image.
    Name string
    The user defined name of an image.
    Sources List<PiersKarsenbarg.Nutanix.Inputs.ImagesV2Source>
    The source of an image. It can be a VM disk or a URL.
    Type string
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    CategoryExtIds []string
    List of category external identifiers for an image.
    Checksums []ImagesV2ChecksumArgs
    The checksum of an image.
    ClusterLocationExtIds []string
    List of cluster external identifiers where the image is located.
    Description string
    The user defined description of an image.
    Name string
    The user defined name of an image.
    Sources []ImagesV2SourceArgs
    The source of an image. It can be a VM disk or a URL.
    type string
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    category_ext_ids list(string)
    List of category external identifiers for an image.
    checksums list(object)
    The checksum of an image.
    cluster_location_ext_ids list(string)
    List of cluster external identifiers where the image is located.
    description string
    The user defined description of an image.
    name string
    The user defined name of an image.
    sources list(object)
    The source of an image. It can be a VM disk or a URL.
    type String
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    categoryExtIds List<String>
    List of category external identifiers for an image.
    checksums List<ImagesV2Checksum>
    The checksum of an image.
    clusterLocationExtIds List<String>
    List of cluster external identifiers where the image is located.
    description String
    The user defined description of an image.
    name String
    The user defined name of an image.
    sources List<ImagesV2Source>
    The source of an image. It can be a VM disk or a URL.
    type string
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    categoryExtIds string[]
    List of category external identifiers for an image.
    checksums ImagesV2Checksum[]
    The checksum of an image.
    clusterLocationExtIds string[]
    List of cluster external identifiers where the image is located.
    description string
    The user defined description of an image.
    name string
    The user defined name of an image.
    sources ImagesV2Source[]
    The source of an image. It can be a VM disk or a URL.
    type str
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    category_ext_ids Sequence[str]
    List of category external identifiers for an image.
    checksums Sequence[ImagesV2ChecksumArgs]
    The checksum of an image.
    cluster_location_ext_ids Sequence[str]
    List of cluster external identifiers where the image is located.
    description str
    The user defined description of an image.
    name str
    The user defined name of an image.
    sources Sequence[ImagesV2SourceArgs]
    The source of an image. It can be a VM disk or a URL.
    type String
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    categoryExtIds List<String>
    List of category external identifiers for an image.
    checksums List<Property Map>
    The checksum of an image.
    clusterLocationExtIds List<String>
    List of cluster external identifiers where the image is located.
    description String
    The user defined description of an image.
    name String
    The user defined name of an image.
    sources List<Property Map>
    The source of an image. It can be a VM disk or a URL.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the ImagesV2 resource produces the following output properties:

    CreateTime string
    Create time of an image.
    ExtId string
    Id string
    The provider-assigned unique ID for this managed resource.
    LastUpdateTime string
    Last update time of an image.
    Links List<PiersKarsenbarg.Nutanix.Outputs.ImagesV2Link>
    OwnerExtId string
    External identifier of the owner of the image
    PlacementPolicyStatuses List<PiersKarsenbarg.Nutanix.Outputs.ImagesV2PlacementPolicyStatus>
    Status of an image placement policy.
    SizeBytes int
    The size in bytes of an image file.
    TenantId string
    CreateTime string
    Create time of an image.
    ExtId string
    Id string
    The provider-assigned unique ID for this managed resource.
    LastUpdateTime string
    Last update time of an image.
    Links []ImagesV2Link
    OwnerExtId string
    External identifier of the owner of the image
    PlacementPolicyStatuses []ImagesV2PlacementPolicyStatus
    Status of an image placement policy.
    SizeBytes int
    The size in bytes of an image file.
    TenantId string
    create_time string
    Create time of an image.
    ext_id string
    id string
    The provider-assigned unique ID for this managed resource.
    last_update_time string
    Last update time of an image.
    links list(object)
    owner_ext_id string
    External identifier of the owner of the image
    placement_policy_statuses list(object)
    Status of an image placement policy.
    size_bytes number
    The size in bytes of an image file.
    tenant_id string
    createTime String
    Create time of an image.
    extId String
    id String
    The provider-assigned unique ID for this managed resource.
    lastUpdateTime String
    Last update time of an image.
    links List<ImagesV2Link>
    ownerExtId String
    External identifier of the owner of the image
    placementPolicyStatuses List<ImagesV2PlacementPolicyStatus>
    Status of an image placement policy.
    sizeBytes Integer
    The size in bytes of an image file.
    tenantId String
    createTime string
    Create time of an image.
    extId string
    id string
    The provider-assigned unique ID for this managed resource.
    lastUpdateTime string
    Last update time of an image.
    links ImagesV2Link[]
    ownerExtId string
    External identifier of the owner of the image
    placementPolicyStatuses ImagesV2PlacementPolicyStatus[]
    Status of an image placement policy.
    sizeBytes number
    The size in bytes of an image file.
    tenantId string
    create_time str
    Create time of an image.
    ext_id str
    id str
    The provider-assigned unique ID for this managed resource.
    last_update_time str
    Last update time of an image.
    links Sequence[ImagesV2Link]
    owner_ext_id str
    External identifier of the owner of the image
    placement_policy_statuses Sequence[ImagesV2PlacementPolicyStatus]
    Status of an image placement policy.
    size_bytes int
    The size in bytes of an image file.
    tenant_id str
    createTime String
    Create time of an image.
    extId String
    id String
    The provider-assigned unique ID for this managed resource.
    lastUpdateTime String
    Last update time of an image.
    links List<Property Map>
    ownerExtId String
    External identifier of the owner of the image
    placementPolicyStatuses List<Property Map>
    Status of an image placement policy.
    sizeBytes Number
    The size in bytes of an image file.
    tenantId String

    Look up Existing ImagesV2 Resource

    Get an existing ImagesV2 resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: ImagesV2State, opts?: CustomResourceOptions): ImagesV2
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            category_ext_ids: Optional[Sequence[str]] = None,
            checksums: Optional[Sequence[ImagesV2ChecksumArgs]] = None,
            cluster_location_ext_ids: Optional[Sequence[str]] = None,
            create_time: Optional[str] = None,
            description: Optional[str] = None,
            ext_id: Optional[str] = None,
            last_update_time: Optional[str] = None,
            links: Optional[Sequence[ImagesV2LinkArgs]] = None,
            name: Optional[str] = None,
            owner_ext_id: Optional[str] = None,
            placement_policy_statuses: Optional[Sequence[ImagesV2PlacementPolicyStatusArgs]] = None,
            size_bytes: Optional[int] = None,
            sources: Optional[Sequence[ImagesV2SourceArgs]] = None,
            tenant_id: Optional[str] = None,
            type: Optional[str] = None) -> ImagesV2
    func GetImagesV2(ctx *Context, name string, id IDInput, state *ImagesV2State, opts ...ResourceOption) (*ImagesV2, error)
    public static ImagesV2 Get(string name, Input<string> id, ImagesV2State? state, CustomResourceOptions? opts = null)
    public static ImagesV2 get(String name, Output<String> id, ImagesV2State state, CustomResourceOptions options)
    resources:  _:    type: nutanix:ImagesV2    get:      id: ${id}
    import {
      to = nutanix_imagesv2.example
      id = "${id}"
    }
    
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    CategoryExtIds List<string>
    List of category external identifiers for an image.
    Checksums List<PiersKarsenbarg.Nutanix.Inputs.ImagesV2Checksum>
    The checksum of an image.
    ClusterLocationExtIds List<string>
    List of cluster external identifiers where the image is located.
    CreateTime string
    Create time of an image.
    Description string
    The user defined description of an image.
    ExtId string
    LastUpdateTime string
    Last update time of an image.
    Links List<PiersKarsenbarg.Nutanix.Inputs.ImagesV2Link>
    Name string
    The user defined name of an image.
    OwnerExtId string
    External identifier of the owner of the image
    PlacementPolicyStatuses List<PiersKarsenbarg.Nutanix.Inputs.ImagesV2PlacementPolicyStatus>
    Status of an image placement policy.
    SizeBytes int
    The size in bytes of an image file.
    Sources List<PiersKarsenbarg.Nutanix.Inputs.ImagesV2Source>
    The source of an image. It can be a VM disk or a URL.
    TenantId string
    Type string
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    CategoryExtIds []string
    List of category external identifiers for an image.
    Checksums []ImagesV2ChecksumArgs
    The checksum of an image.
    ClusterLocationExtIds []string
    List of cluster external identifiers where the image is located.
    CreateTime string
    Create time of an image.
    Description string
    The user defined description of an image.
    ExtId string
    LastUpdateTime string
    Last update time of an image.
    Links []ImagesV2LinkArgs
    Name string
    The user defined name of an image.
    OwnerExtId string
    External identifier of the owner of the image
    PlacementPolicyStatuses []ImagesV2PlacementPolicyStatusArgs
    Status of an image placement policy.
    SizeBytes int
    The size in bytes of an image file.
    Sources []ImagesV2SourceArgs
    The source of an image. It can be a VM disk or a URL.
    TenantId string
    Type string
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    category_ext_ids list(string)
    List of category external identifiers for an image.
    checksums list(object)
    The checksum of an image.
    cluster_location_ext_ids list(string)
    List of cluster external identifiers where the image is located.
    create_time string
    Create time of an image.
    description string
    The user defined description of an image.
    ext_id string
    last_update_time string
    Last update time of an image.
    links list(object)
    name string
    The user defined name of an image.
    owner_ext_id string
    External identifier of the owner of the image
    placement_policy_statuses list(object)
    Status of an image placement policy.
    size_bytes number
    The size in bytes of an image file.
    sources list(object)
    The source of an image. It can be a VM disk or a URL.
    tenant_id string
    type string
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    categoryExtIds List<String>
    List of category external identifiers for an image.
    checksums List<ImagesV2Checksum>
    The checksum of an image.
    clusterLocationExtIds List<String>
    List of cluster external identifiers where the image is located.
    createTime String
    Create time of an image.
    description String
    The user defined description of an image.
    extId String
    lastUpdateTime String
    Last update time of an image.
    links List<ImagesV2Link>
    name String
    The user defined name of an image.
    ownerExtId String
    External identifier of the owner of the image
    placementPolicyStatuses List<ImagesV2PlacementPolicyStatus>
    Status of an image placement policy.
    sizeBytes Integer
    The size in bytes of an image file.
    sources List<ImagesV2Source>
    The source of an image. It can be a VM disk or a URL.
    tenantId String
    type String
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    categoryExtIds string[]
    List of category external identifiers for an image.
    checksums ImagesV2Checksum[]
    The checksum of an image.
    clusterLocationExtIds string[]
    List of cluster external identifiers where the image is located.
    createTime string
    Create time of an image.
    description string
    The user defined description of an image.
    extId string
    lastUpdateTime string
    Last update time of an image.
    links ImagesV2Link[]
    name string
    The user defined name of an image.
    ownerExtId string
    External identifier of the owner of the image
    placementPolicyStatuses ImagesV2PlacementPolicyStatus[]
    Status of an image placement policy.
    sizeBytes number
    The size in bytes of an image file.
    sources ImagesV2Source[]
    The source of an image. It can be a VM disk or a URL.
    tenantId string
    type string
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    category_ext_ids Sequence[str]
    List of category external identifiers for an image.
    checksums Sequence[ImagesV2ChecksumArgs]
    The checksum of an image.
    cluster_location_ext_ids Sequence[str]
    List of cluster external identifiers where the image is located.
    create_time str
    Create time of an image.
    description str
    The user defined description of an image.
    ext_id str
    last_update_time str
    Last update time of an image.
    links Sequence[ImagesV2LinkArgs]
    name str
    The user defined name of an image.
    owner_ext_id str
    External identifier of the owner of the image
    placement_policy_statuses Sequence[ImagesV2PlacementPolicyStatusArgs]
    Status of an image placement policy.
    size_bytes int
    The size in bytes of an image file.
    sources Sequence[ImagesV2SourceArgs]
    The source of an image. It can be a VM disk or a URL.
    tenant_id str
    type str
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
    categoryExtIds List<String>
    List of category external identifiers for an image.
    checksums List<Property Map>
    The checksum of an image.
    clusterLocationExtIds List<String>
    List of cluster external identifiers where the image is located.
    createTime String
    Create time of an image.
    description String
    The user defined description of an image.
    extId String
    lastUpdateTime String
    Last update time of an image.
    links List<Property Map>
    name String
    The user defined name of an image.
    ownerExtId String
    External identifier of the owner of the image
    placementPolicyStatuses List<Property Map>
    Status of an image placement policy.
    sizeBytes Number
    The size in bytes of an image file.
    sources List<Property Map>
    The source of an image. It can be a VM disk or a URL.
    tenantId String
    type String
    The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"

    Supporting Types

    ImagesV2Checksum, ImagesV2ChecksumArgs

    HexDigest string
    The SHA1/SHA256 digest of an image file in hexadecimal format.
    ObjectType string
    sha1 or sha256 type of image
    HexDigest string
    The SHA1/SHA256 digest of an image file in hexadecimal format.
    ObjectType string
    sha1 or sha256 type of image
    hex_digest string
    The SHA1/SHA256 digest of an image file in hexadecimal format.
    object_type string
    sha1 or sha256 type of image
    hexDigest String
    The SHA1/SHA256 digest of an image file in hexadecimal format.
    objectType String
    sha1 or sha256 type of image
    hexDigest string
    The SHA1/SHA256 digest of an image file in hexadecimal format.
    objectType string
    sha1 or sha256 type of image
    hex_digest str
    The SHA1/SHA256 digest of an image file in hexadecimal format.
    object_type str
    sha1 or sha256 type of image
    hexDigest String
    The SHA1/SHA256 digest of an image file in hexadecimal format.
    objectType String
    sha1 or sha256 type of image
    Href string
    Rel string
    Href string
    Rel string
    href string
    rel string
    href String
    rel String
    href string
    rel string
    href str
    rel str
    href String
    rel String

    ImagesV2PlacementPolicyStatus, ImagesV2PlacementPolicyStatusArgs

    ComplianceStatus string
    Compliance status for a placement policy.
    ConflictingPolicyExtIds List<string>
    List of image placement policy external identifier that conflict with the current one.
    EnforcedClusterExtIds List<string>
    List of cluster external identifiers for the enforced placement policy.
    EnforcementMode string
    Indicates whether the placement policy enforcement is ongoing or has failed.
    PlacementPolicyExtId string
    Image placement policy external identifier.
    PolicyClusterExtIds List<string>
    List of cluster external identifiers of the image location for the enforced placement policy.
    ComplianceStatus string
    Compliance status for a placement policy.
    ConflictingPolicyExtIds []string
    List of image placement policy external identifier that conflict with the current one.
    EnforcedClusterExtIds []string
    List of cluster external identifiers for the enforced placement policy.
    EnforcementMode string
    Indicates whether the placement policy enforcement is ongoing or has failed.
    PlacementPolicyExtId string
    Image placement policy external identifier.
    PolicyClusterExtIds []string
    List of cluster external identifiers of the image location for the enforced placement policy.
    compliance_status string
    Compliance status for a placement policy.
    conflicting_policy_ext_ids list(string)
    List of image placement policy external identifier that conflict with the current one.
    enforced_cluster_ext_ids list(string)
    List of cluster external identifiers for the enforced placement policy.
    enforcement_mode string
    Indicates whether the placement policy enforcement is ongoing or has failed.
    placement_policy_ext_id string
    Image placement policy external identifier.
    policy_cluster_ext_ids list(string)
    List of cluster external identifiers of the image location for the enforced placement policy.
    complianceStatus String
    Compliance status for a placement policy.
    conflictingPolicyExtIds List<String>
    List of image placement policy external identifier that conflict with the current one.
    enforcedClusterExtIds List<String>
    List of cluster external identifiers for the enforced placement policy.
    enforcementMode String
    Indicates whether the placement policy enforcement is ongoing or has failed.
    placementPolicyExtId String
    Image placement policy external identifier.
    policyClusterExtIds List<String>
    List of cluster external identifiers of the image location for the enforced placement policy.
    complianceStatus string
    Compliance status for a placement policy.
    conflictingPolicyExtIds string[]
    List of image placement policy external identifier that conflict with the current one.
    enforcedClusterExtIds string[]
    List of cluster external identifiers for the enforced placement policy.
    enforcementMode string
    Indicates whether the placement policy enforcement is ongoing or has failed.
    placementPolicyExtId string
    Image placement policy external identifier.
    policyClusterExtIds string[]
    List of cluster external identifiers of the image location for the enforced placement policy.
    compliance_status str
    Compliance status for a placement policy.
    conflicting_policy_ext_ids Sequence[str]
    List of image placement policy external identifier that conflict with the current one.
    enforced_cluster_ext_ids Sequence[str]
    List of cluster external identifiers for the enforced placement policy.
    enforcement_mode str
    Indicates whether the placement policy enforcement is ongoing or has failed.
    placement_policy_ext_id str
    Image placement policy external identifier.
    policy_cluster_ext_ids Sequence[str]
    List of cluster external identifiers of the image location for the enforced placement policy.
    complianceStatus String
    Compliance status for a placement policy.
    conflictingPolicyExtIds List<String>
    List of image placement policy external identifier that conflict with the current one.
    enforcedClusterExtIds List<String>
    List of cluster external identifiers for the enforced placement policy.
    enforcementMode String
    Indicates whether the placement policy enforcement is ongoing or has failed.
    placementPolicyExtId String
    Image placement policy external identifier.
    policyClusterExtIds List<String>
    List of cluster external identifiers of the image location for the enforced placement policy.

    ImagesV2Source, ImagesV2SourceArgs

    ObjectLiteSources []ImagesV2SourceObjectLiteSource
    The URL for creating an image.
    UrlSources []ImagesV2SourceUrlSource
    The URL for creating an image.
    VmDiskSources []ImagesV2SourceVmDiskSource
    The URL for creating an image.
    object_lite_sources list(object)
    The URL for creating an image.
    url_sources list(object)
    The URL for creating an image.
    vm_disk_sources list(object)
    The URL for creating an image.
    objectLiteSources List<ImagesV2SourceObjectLiteSource>
    The URL for creating an image.
    urlSources List<ImagesV2SourceUrlSource>
    The URL for creating an image.
    vmDiskSources List<ImagesV2SourceVmDiskSource>
    The URL for creating an image.
    objectLiteSources ImagesV2SourceObjectLiteSource[]
    The URL for creating an image.
    urlSources ImagesV2SourceUrlSource[]
    The URL for creating an image.
    vmDiskSources ImagesV2SourceVmDiskSource[]
    The URL for creating an image.
    objectLiteSources List<Property Map>
    The URL for creating an image.
    urlSources List<Property Map>
    The URL for creating an image.
    vmDiskSources List<Property Map>
    The URL for creating an image.

    ImagesV2SourceObjectLiteSource, ImagesV2SourceObjectLiteSourceArgs

    Key string
    Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
    Key string
    Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
    key string
    Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
    key String
    Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
    key string
    Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
    key str
    Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
    key String
    Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.

    ImagesV2SourceUrlSource, ImagesV2SourceUrlSourceArgs

    Url string
    The URL for creating an image.
    BasicAuths List<PiersKarsenbarg.Nutanix.Inputs.ImagesV2SourceUrlSourceBasicAuth>
    Basic authentication credentials for image source HTTP/S URL

    • basic_auth.username: (Required) Username for basic authentication
    • basic_auth.password: (Required) Password for basic authentication.
    ShouldAllowInsecureUrl bool
    Ignore the certificate errors, if the value is true. Default is false.
    Url string
    The URL for creating an image.
    BasicAuths []ImagesV2SourceUrlSourceBasicAuth
    Basic authentication credentials for image source HTTP/S URL

    • basic_auth.username: (Required) Username for basic authentication
    • basic_auth.password: (Required) Password for basic authentication.
    ShouldAllowInsecureUrl bool
    Ignore the certificate errors, if the value is true. Default is false.
    url string
    The URL for creating an image.
    basic_auths list(object)
    Basic authentication credentials for image source HTTP/S URL

    • basic_auth.username: (Required) Username for basic authentication
    • basic_auth.password: (Required) Password for basic authentication.
    should_allow_insecure_url bool
    Ignore the certificate errors, if the value is true. Default is false.
    url String
    The URL for creating an image.
    basicAuths List<ImagesV2SourceUrlSourceBasicAuth>
    Basic authentication credentials for image source HTTP/S URL

    • basic_auth.username: (Required) Username for basic authentication
    • basic_auth.password: (Required) Password for basic authentication.
    shouldAllowInsecureUrl Boolean
    Ignore the certificate errors, if the value is true. Default is false.
    url string
    The URL for creating an image.
    basicAuths ImagesV2SourceUrlSourceBasicAuth[]
    Basic authentication credentials for image source HTTP/S URL

    • basic_auth.username: (Required) Username for basic authentication
    • basic_auth.password: (Required) Password for basic authentication.
    shouldAllowInsecureUrl boolean
    Ignore the certificate errors, if the value is true. Default is false.
    url str
    The URL for creating an image.
    basic_auths Sequence[ImagesV2SourceUrlSourceBasicAuth]
    Basic authentication credentials for image source HTTP/S URL

    • basic_auth.username: (Required) Username for basic authentication
    • basic_auth.password: (Required) Password for basic authentication.
    should_allow_insecure_url bool
    Ignore the certificate errors, if the value is true. Default is false.
    url String
    The URL for creating an image.
    basicAuths List<Property Map>
    Basic authentication credentials for image source HTTP/S URL

    • basic_auth.username: (Required) Username for basic authentication
    • basic_auth.password: (Required) Password for basic authentication.
    shouldAllowInsecureUrl Boolean
    Ignore the certificate errors, if the value is true. Default is false.

    ImagesV2SourceUrlSourceBasicAuth, ImagesV2SourceUrlSourceBasicAuthArgs

    Password string
    Username string
    Password string
    Username string
    password string
    username string
    password String
    username String
    password string
    username string
    password String
    username String

    ImagesV2SourceVmDiskSource, ImagesV2SourceVmDiskSourceArgs

    ExtId string
    The external identifier of VM Disk.
    ExtId string
    The external identifier of VM Disk.
    ext_id string
    The external identifier of VM Disk.
    extId String
    The external identifier of VM Disk.
    extId string
    The external identifier of VM Disk.
    ext_id str
    The external identifier of VM Disk.
    extId String
    The external identifier of VM Disk.

    Package Details

    Repository
    nutanix pierskarsenbarg/pulumi-nutanix
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the nutanix Terraform Provider.
    nutanix logo
    Viewing docs for Nutanix v0.14.0
    published on Thursday, May 21, 2026 by Piers Karsenbarg

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial